This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 995735 - [RFE] - Log-collector: ssh feature sync with engine
[RFE] - Log-collector: ssh feature sync with engine
Status: CLOSED WONTFIX
Product: ovirt-log-collector
Classification: oVirt
Component: Core (Show other bugs)
4.0.0
Unspecified Unspecified
low Severity low (vote)
: ovirt-4.2.0
: ---
Assigned To: Rafael Martins
Aleksei Slaikovskii
: FutureFeature, Improvement
Depends On: 1304385
Blocks: 1085907
  Show dependency treegraph
 
Reported: 2013-08-10 13:15 EDT by Alon Bar-Lev
Modified: 2016-11-11 04:04 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-11 04:04:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Integration
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.2?
sherold: Triaged+
rule-engine: planning_ack?
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2013-08-10 13:15:06 EDT
Hello,

The following ssh feature sync is required:

1. If possible: use engine PKCS#12 ssh key instead of PKCS#8.

2. Lookup destination in engine database acquire:

a. ip address
b. ssh port.
c. ssh fingerprint.
d. ssh public key fingerprint.
e. ssh user.

3. Connect to specified port.

4. Enforce ssh fingerprint.

5. ssh using specific user.

a. privilege escalation to root if absolutely required.
b. should be non rhel/fedora/gss specific solution.
c. if required, rhel/fedora/gss preferred solution can be selected within configuration file.

[ I see nothing wrong in sudoers.d file ]

Thanks!
Comment 1 Red Hat Bugzilla Rules Engine 2015-10-19 07:01:21 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Note You need to log in before you can comment on or make changes to this bug.